---
title: llarp::util::NullLock
summary: a lock that does nothing 

---

# llarp::util::NullLock



a lock that does nothing 


`#include <threading.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[NullLock](Classes/structllarp_1_1util_1_1NullLock.md#function-nulllock)**([NullMutex](Classes/structllarp_1_1util_1_1NullMutex.md) & mtx) |
| | **[~NullLock](Classes/structllarp_1_1util_1_1NullLock.md#function-~nulllock)**() |

## Public Functions Documentation

### function NullLock

```cpp
inline NullLock(
    NullMutex & mtx
)
```


### function ~NullLock

```cpp
inline ~NullLock()
```


-------------------------------

Updated on 2023-01-23 at 22:05:56 +0000